%set_verify_elf_method textrel=relaxed

%define	plugindir	/usr/lib/vdr
%define	startdir	/var/lib/vdr/config/start
%define	pname		sc

Name: vdr-%pname
Version: 0.3.11a
Release: alt1

Summary: SoftCAM plugin for VDR
Summary(ru_RU.UTF-8): Эмулятор CAM-модуля для VDR
License: GPL
Group: Video
URL: p2p_networks
Source0: %name-%version.tar.gz
Patch0: russian-sc-0.3.11a.diff
Patch1: sc-0.3.11a-vdr-1.3.x-fix.diff
BuildPreReq: kernel-headers-dvb vdr-devel 
BuildRequires: gcc-c++ libjpeg-devel libssl-devel libstdc++-devel vdr-devel
Requires: vdr

%description
SC means softcam, which is a software CAM emulation. It is based on mgcam 
(a standalone program)but properly integrated into VDR.

The plugin only decrypts the scrambling codewords from the incomming ECM
stream. The actual descrambling of the video stream is done by a special chip
on the DVB card. This chip is available with "premium" technotrend chipset
cards like FujituSiemens or Hauppauge only. So this won't work on budget cards
like the WinTV Nova (go for SoftCSA in this case)!

All you additonally need is a phoenix smart-card interface (attached to a COM-port) 
or a keyfile with valid keys. 

%description -l ru_RU.UTF-8
SC означает softcam (программный эмулятор CAM-модуля). Модуль создан на 
основе mgcam (самостоятельной программы) и полностью интегрирован с VDR. 

Модуль SC всего лишь расшифровывает кодовые слова из принимаемого ECM потока.
Собственно декодирование выполняется специальной микросхемой DVB карты. Эта
схема присутствует только в "полноценных" картах с набором микросхем
фирмы technotrend, таких как FujituSiemens или Hauppauge. Работа на "бюджетных"
картах, подобных WinTV Nova невозможна (используйте взамен SotCSA)!

Единственное, что необходимо для просмотра закодированных каналов - адаптер
для смарт-карт типа "phoenix" (подключаемый через COM-порт) или файл со списком 
ключей.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1
%patch1 -p1

# User defined Makefile options for the Video Disk Recorder
echo 'IRDETO=1
SECA=1
VIACCESS=1
NAGRA=1
CONAX=1
SHL=1
SC_SECA=1
SC_CRYPTOWORKS=1
SC_IRDETO=1
SC_CONAX=1
SBC=1' >> Make.config 

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir
%__install -d %buildroot%startdir
echo '-s /dev/ttyS0' > %buildroot%startdir/%pname

%files
%plugindir/*
%startdir/* %attr(644,root,root) %config
%doc PLUGINS/src/%pname/README

%changelog
* Fri May 21 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.11a-alt1
- 0.3.11a

* Tue Feb 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.9-alt1
- Translation, vdr-1.3.x compatibility fix

* Fri Jan 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.5-alt1
- Initial build
